{
  "layer": "top",
  // Waybar at top layer
  "position": "top",
  // Waybar position (top|bottom|left|right)
  // "width": 1280, // Waybar width
  // Choose the order of the modules
  "modules-left": [
    "hyprland/workspaces",
    "custom/music"
  ],
  "modules-center": [
    "hyprland/window"
  ],
  "modules-right": [
    "hyprland/language",
    "wireplumber",
    "backlight",
    "clock",
    "custom/notification",
    "tray",
    "custom/lock",
    "custom/power"
  ],
  "hyprland/workspaces": {
    "disable-scroll": false,
    "sort-by-name": true,
    "format": " {id} "
  },
  "hyprland/window": {},
  "tray": {
    "icon-size": 21,
    "spacing": 10
  },
  "custom/music": {
    "format": "󰓃 {}",
    "escape": true,
    "interval": 5,
    "tooltip": false,
    "exec": "playerctl metadata --format='{{ title }}'",
    "on-click": "playerctl play-pause",
    "max-length": 50
  },
  "clock": {
    "timezone": "Europe/Oslo",
    "tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>",
    "format": " {:%H:%M   %d/%m}",
    "calendar": {
      "mode": "month",
      "weeks-pos": "left",
      "format": {
        "months": "<span color='#ffead3'><b>{}</b></span>",
        "days": "<span color='#ecc6d9'><b>{}</b></span>",
        "weeks": "<span color='#99ffdd'><b>W{}</b></span>",
        "weekdays": "<span color='#ffcc66'><b>{}</b></span>",
        "today": "<span color='#ff6699'><b><u>{}</u></b></span>"
      }
    }
  },
  "backlight": {
    "device": "intel_backlight",
    "format": "{icon}",
    "format-icons": [
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      "",
      ""
    ]
  },
  "wireplumber": {
    // "scroll-step": 1, // %, can be a float
    "format": "{icon} {volume}%",
    "format-muted": " ",
    "format-icons": {
      "default": [
        "",
        " ",
        " "
      ]
    },
    "on-click": "pavucontrol"
  },
  "hyprland/language": {
    "format-en": "EN",
    "format-no": "NO",
    "keyboard-name": "logitech-logitech-g710-keyboard",
    "on-click": "hyprctl switchxkblayout logitech-logitech-g710-keyboard next"
  },
  "custom/lock": {
    "tooltip": false,
    "on-click": "sh -c '(sleep 0.5s; hyprlock)'",
    "format": ""
  },
  "custom/power": {
    "tooltip": false,
    "on-click": "wlogout &",
    "format": " "
  },
  "custom/notification": {
    "tooltip": false,
    "format": "{icon}",
    "format-icons": {
      "notification": "<span foreground='#f38ba8'><sup></sup></span>",
      "none": "",
      "dnd-notification": "<span foreground='#f38ba8'><sup></sup></span>",
      "dnd-none": "",
      "inhibited-notification": "<span foreground='#f38ba8'><sup></sup></span>",
      "inhibited-none": "",
      "dnd-inhibited-notification": "<span foreground='#f38ba8'><sup></sup></span>",
      "dnd-inhibited-none": ""
    },
    "return-type": "json",
    "exec-if": "which swaync-client",
    "exec": "swaync-client -swb",
    "on-click": "swaync-client -t -sw",
    "on-click-right": "swaync-client -d -sw",
    "escape": true
  }
}
